Bug 104975 - Various Mouse Problems With ACPI Support Compiled In
Various Mouse Problems With ACPI Support Compiled In
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: acpi (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-23 23:26 EDT by Dan Goodes
Modified: 2013-07-02 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 03:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Goodes 2003-09-23 23:26:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Following compiling a custom kernel (from kernel-source-2.4.20-20.9) with the
ACPI patches from http://acpi.sourceforge.net/, the mouse and touchpad on my
notebook behave incorrectly. The system I am running is 

Compaq Presario 2100 Series Notebook (2133AC)
AMD Mobile Athlon 2400+
256MB DDR RAM
Synaptic Touchpad / USB Mouse / PS/2 Mouse

After patching the kernel source with the 2.4.20 version of the ACPI patch, the
kernel compiled and installed as expected. However, several things went awry.

First, booting the system with a USB mouse inserted did not enable the mouse
(i.e. no pointer motion, no click capability). A check of "lsmod" showed that
all appropriate modules had loaded (usbcore, usb-mouse, mousedev, usb-uhci,
hid). Further, when removing the mouse and enabling the Touchpad, the mouse
exhibited erratic behaviour (randomly darting around the screen and clicking
randomly, even though no buttons were clicked). The only resolution was to
switch to virtual terminal #1 and restart X.

Secondly, if the laptop was booted with the Touchpad enabled, inserting the PS/2
mouse caused the laptop to switch off the Touchpad as expected, but the PS/2
mouse was not enabled. Further, re-enabling the Touchpad caused the same erratic
mouse behaviour described above.

Finally, booting the system with a PS/2 mouse inserted works as expected.
However, removing the mouse to re-enable the Touchpad will enable the Touchpad
as expected, but will cause the same erratic behaviour described above.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot the laptop with a USB mouse inserted, then enable the touchpad;
OR
1. Boot the laptop with the touchpad enabled, then insert a PS/2 mouse, then
remove the PS/2 mouse;
OR
1. Boot the laptop with a PS/2 mouse inserted, then remove the PS/2 mouse.
    

Additional info:
Comment 1 Dan Goodes 2003-09-23 23:29:30 EDT
I should add here that when compiling the kernel, the only things changed from
RedHat's default kernel build configuration were

a) patching with the fore-mentioned ACPI patch
b) configuring all ACPI options (except debug information and toshiba-specific
extentions) to be compiled into the kernel - I have also tried with these
options compiled as modules, with the same effect.
Comment 2 Jeff Garzik 2004-03-03 03:52:25 EST
ACPI was disabled in final.

Note You need to log in before you can comment on or make changes to this bug.